# The Antville Project
# http://code.google.com/p/antville
#
# Copyright 2001–2014 by the Workers of Antville.
#
# Licensed under the Apache License, Version 2.0 (the ``License'');
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#    http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an ``AS IS'' BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

# The root site
rootId = 1
rootPrototype = Root

# Antville is using UTF-8 encoding by default
charset = UTF-8
skinCharset = UTF-8

# The main scheduler
schedulerInterval = 30
cron.scheduler.function = scheduler

# The nightly scheduler
cron.nightly.function = nightly
cron.nightly.hour = 0
cron.nightly.minute = 0

# Cookie names
#userCookie = antvilleUser
#hashCookie = antvilleHash

# Performance tweaks
#cacheSize = 50000
#minThreads = 10
#maxThreads = 50
#sessionTimeout = 30
#requestTimeout = 10

# Options for rewriting URL output;
baseUri = /
hrefFunction = processHref
#hrefRootPrototype = Site

# List of default and individual domain mappings
#domain.* = antville.org
#domain.foo = bar.foo.org
